[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TField.SetFieldType

Set the field data type

## Declaration

Source position: db.pas line 385

`public procedure TField.SetFieldType(`
`AValue: TFieldType`
`); virtual;`

## Arguments

`AValue` |  | DataType for the field

## Description

SetFieldType does nothing, but it can be overridden by descendent classes to provide special handling when the field type is set.

## See also

TField.DataType |  | The data type of the field.

Documentation generated on: Feb 26 2014